The chat responses are generated using Generative AI technology for intuitive search and may not be entirely accurate. They are not intended as professional advice. For full details, including our use rights, privacy practices and potential export control restrictions, please refer to our Generative AI Service Privacy Information. As this is a test version, please let us know if something irritating comes up. Like you get recommended a chocolate fudge ice cream instead of an energy managing application. If that occurs, please use the feedback button in our contact form!
Skip to content

RESTful API for creating and managing various objects in the Lifecycle Twin.

Update

Use PUT to update an existing resource. Include only the fields you want to change in the request body.

PUT /clientprojects/{id}

PUT /api/clientprojects HTTP/1.1
clientname: <Client Name>
authorization: <Token>
select: {"Name", "Latitude", "Longitude"}

Request Body

{                     
    "Name": "My Project",
    "Latitude": 57,
    "Longitude": 13
}

Response

The API returns status code 204 (No Content) when it accepts the update.

Note

Include only the fields you want to update in the request body.

You must also list the fields you are updating in the select HTTP custom header.

If you include a field in the select header but omit it from the request body, the API clears that field's value.

Removing field value

To clear a field's value, include it in both the select header and the request body with an empty string:

PUT /clientprojects/{id}

PUT /api/clientprojects HTTP/1.1
clientname: <Client Name>
authorization: <Token>
select: {"Name", "CityName"}

Request Body

{                     
    "Name": "My Project - New",
    "CityName": ""
}